<template>
    <div>
        <div v-for="song in songs" v-bind:key="song" class="song">
            <img :src="song.artworkUrl60" />
            <span>
                {{ song.trackCensoredName }} -
                {{ song.collectionCensoredName }}
            </span>
            <audio :src="song.previewUrl" controls></audio>
        </div>
    </div>
</template>

<script>
export default {
    data() {
        return {
            songs: []
        };
    },
    created() {
        fetch("search?term=jack+johnson")
            .then(d => d.json())
            .then(data => {
                this.songs = data.results;
            });
    }
};
</script>

<style>
.song {
    margin: 1rem;
    padding: 1rem;
    border: 1px solid lightgray;
    display: flex;
}
.song img {
    padding-right: 1rem;
}
.song span {
    flex: 1;
}
.song audio {
    width: 300px;
}
</style>
